Debian Bug report logs - #671853
Transition: cpl

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Ole Streicher <debian@liska.ath.cx>

Date: Mon, 7 May 2012 14:48:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Mon, 07 May 2012 14:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 07 May 2012 14:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Transition: cpl
Date: Mon, 07 May 2012 16:44:29 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Dear Release Team,

I am filing this bug for the transition of the "cpl" package.

Upstream released a new version 6.0 on April 1st, bumping the ABI
version (SONAME) from 12 to 20.

List of packages depending on cpl:
* esorex
* python-cpl

Both packages have a new upstream version which should be upgraded at
the same time.

Since I didn't know this is a transition, my sponsor already uploaded
the cpl package to unstable.

Thank you.

Ole




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Tue, 15 May 2012 07:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <ole.streicher@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 15 May 2012 07:09:10 GMT) Full text and rfc822 format available.

Message #10 received at 671853@bugs.debian.org (full text, mbox):

From: Ole Streicher <ole.streicher@gmx.de>
To: 671853@bugs.debian.org
Subject: libcpl-dev: uninstallable in sid
Date: Tue, 15 May 2012 09:03:38 +0200
The cause is just that I accidently removed the libcext-dev section from
the debian/control file. Simply re-inserting does the job (already done
in the git repository; not uploaded yet because of the unresolved FTBS).





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Tue, 15 May 2012 07:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 15 May 2012 07:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 671853@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: 671853@bugs.debian.org
Subject: Wrong Bug Nr.
Date: Tue, 15 May 2012 09:13:39 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Sorry, this was meant for Bug #671675.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPsgIjAAoJEHEVr9B3ENz3HjQQAMJqLHIVdStXMTvLyBHrYUq6
8Ci/beU1UzP8bE0RL007W1ZGhRH6BmXsX/OL92N4dLbGXKgpPBk2yO7ejj8+ZQQ4
lSxWZNPsiTHphXQqB9tyIbPykhdZOtHs2fJMbc/FILNvuvNRHvCTPHNcN3Zh535i
60IUgdq7TUwF5IOK1KitN85A7b6od/LqiiSGWznyvBJml7nhYqI/yD+4PafG/Q73
L3Noe4m2QHYc18dzkzPgqkjuz4Eiuo3w4/S91FAYaj4PVOTFn/I4A/7KzznadD1x
Gk39YSI6JbaG+JH6PdDCqbSEKtBEdzDmIsH4q0SqsGR+RtpGePNjZCn5GNlJjCdZ
G/zf2HfeLUOBZYwM/F6D0AS3c4ao/1eAii3CSujKnc2T/M13VraSTvHcmB7e/Xjy
l/htZQkkjAM2u3y+qtT9ffozZiif23mQT8q7gCGr+Bi3/aaP37oNcHpGWDNaBqKl
xluzPcqpTprlmaUyJqHJVB1bj88kQzzVTwpe28qS9RKTpNRK4rzHPHCzCwhmU0VY
g6BeL9WGZFF1+CIPZ8D/BkpkuyL5t7N+lbRDtt97BO2RfSDjDzz58OtiLSa5DBX9
HLCTj0iH86j4BD3XyYtmf68jBqjx27H9FZ1laQxJqn+OeM1HGVAuoZpfP8J+EqNM
9bvN4lkqOo2guEVgMJN6
=+KzI
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Sat, 19 May 2012 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 19 May 2012 14:36:06 GMT) Full text and rfc822 format available.

Message #20 received at 671853@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ole Streicher <debian@liska.ath.cx>, 671853@bugs.debian.org
Subject: Re: Bug#671853: Transition: cpl
Date: Sat, 19 May 2012 16:27:58 +0200
[Message part 1 (text/plain, inline)]
tag 671853 pending
thanks

Ole Streicher <debian@liska.ath.cx> (07/05/2012):
> Upstream released a new version 6.0 on April 1st, bumping the ABI
> version (SONAME) from 12 to 20.

I've just asked ftpmasters to get cpl decrufted, which will break the
following packages in unstable (they become uninstallable until rebuilt
against new packages), so that the excuses page gets more readable on
the next run.

> List of packages depending on cpl:
> * esorex
> * python-cpl
> 
> Both packages have a new upstream version which should be upgraded at
> the same time.

For the time being I've scheduled binNMUs for those packages. 

> Since I didn't know this is a transition, my sponsor already uploaded
> the cpl package to unstable.

Tagging as pending since it's started already.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 14:36:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 671853: 671675 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 01 Jun 2012 12:33:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Sun, 17 Jun 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 14:39:03 GMT) Full text and rfc822 format available.

Message #29 received at 671853@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ole Streicher <debian@liska.ath.cx>, 671853@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: Bug#671853: Transition: cpl
Date: Sun, 17 Jun 2012 16:37:57 +0200
[Message part 1 (text/plain, inline)]
Ole Streicher <debian@liska.ath.cx> (07/05/2012):
> Upstream released a new version 6.0 on April 1st, bumping the ABI
> version (SONAME) from 12 to 20.

This seems to be a very good joke, looking at the buildd status:
  https://buildd.debian.org/status/package.php?p=cpl&suite=sid

FTBFS on armel, ia64, kfreebsd-*, s390x, sparc (which I'm filing right
now).

When do you plan to have those FTBFS fixed?

> Since I didn't know this is a transition, my sponsor already uploaded
> the cpl package to unstable.

Sponsor added to Cc, I'm sure he'll be able to help with the current
mess.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Sun, 17 Jun 2012 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 671853@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ole Streicher <debian@liska.ath.cx>, 671853@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#671853: Transition: cpl
Date: Sun, 17 Jun 2012 16:48:36 +0200
[Message part 1 (text/plain, inline)]
block 671853 by 677893
thanks

Cyril Brulebois <kibi@debian.org> (17/06/2012):
> FTBFS on armel, ia64, kfreebsd-*, s390x, sparc (which I'm filing right
> now).
> 
> When do you plan to have those FTBFS fixed?

See above for the bug number.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 671853: 677893 Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 17 Jun 2012 14:51:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Sun, 17 Jun 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #41 received at 671853@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: Cyril Brulebois <kibi@debian.org>
Cc: 671853@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: Bug#671853: Transition: cpl
Date: Sun, 17 Jun 2012 18:25:54 +0200
I completed a release that fixes the FTBS, it awaits its upload.

Cheers

Ole

Am 17.06.2012 16:37, schrieb Cyril Brulebois:
> Ole Streicher <debian@liska.ath.cx> (07/05/2012):
>> Upstream released a new version 6.0 on April 1st, bumping the ABI
>> version (SONAME) from 12 to 20.
> 
> This seems to be a very good joke, looking at the buildd status:
>   https://buildd.debian.org/status/package.php?p=cpl&suite=sid
> 
> FTBFS on armel, ia64, kfreebsd-*, s390x, sparc (which I'm filing right
> now).
> 
> When do you plan to have those FTBFS fixed?
> 
>> Since I didn't know this is a transition, my sponsor already uploaded
>> the cpl package to unstable.
> 
> Sponsor added to Cc, I'm sure he'll be able to help with the current
> mess.
> 
> Mraw,
> KiBi.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Sun, 17 Jun 2012 22:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 22:09:16 GMT) Full text and rfc822 format available.

Message #46 received at 671853@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ole Streicher <debian@liska.ath.cx>, 671853@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>
Subject: Re: Bug#671853: Transition: cpl
Date: Mon, 18 Jun 2012 00:04:03 +0200
[Message part 1 (text/plain, inline)]
Ole Streicher <debian@liska.ath.cx> (17/06/2012):
> I completed a release that fixes the FTBS, it awaits its upload.

Can you please give a link to the source package so that somebody will
free time can upload it?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Sun, 17 Jun 2012 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 22:12:41 GMT) Full text and rfc822 format available.

Message #51 received at 671853@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Ole Streicher <debian@liska.ath.cx>, 671853@bugs.debian.org
Subject: Re: Bug#671853: Transition: cpl
Date: Mon, 18 Jun 2012 00:10:22 +0200
Salut Cyril,
Le 18/06/2012 00:04, Cyril Brulebois a écrit :
> Ole Streicher <debian@liska.ath.cx> (17/06/2012):
>> I completed a release that fixes the FTBS, it awaits its upload.
> Can you please give a link to the source package so that somebody will
> free time can upload it?
>
I uploaded it this afternoon:
http://packages.qa.debian.org/c/cpl/news/20120617T180404Z.html

Cheers,
Sylvestre





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#671853; Package release.debian.org. (Sun, 17 Jun 2012 22:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Jun 2012 22:18:04 GMT) Full text and rfc822 format available.

Message #56 received at 671853@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: Ole Streicher <debian@liska.ath.cx>, 671853@bugs.debian.org
Subject: Re: Bug#671853: Transition: cpl
Date: Mon, 18 Jun 2012 00:15:30 +0200
[Message part 1 (text/plain, inline)]
Salut Sylvestre,

Sylvestre Ledru <sylvestre@debian.org> (18/06/2012):
> I uploaded it this afternoon:
> http://packages.qa.debian.org/c/cpl/news/20120617T180404Z.html

perfect, thanks!

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 671853 blocks 677967 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 18 Jun 2012 09:21:12 GMT) Full text and rfc822 format available.

Added indication that bug 671853 blocks 677968 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 18 Jun 2012 09:21:14 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 671853: 677967 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 18 Jun 2012 09:35:53 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 671853: 677968 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Mon, 18 Jun 2012 09:35:54 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 03 Jul 2012 12:54:14 GMT) Full text and rfc822 format available.

Notification sent to Ole Streicher <debian@liska.ath.cx>:
Bug acknowledged by developer. (Tue, 03 Jul 2012 12:54:14 GMT) Full text and rfc822 format available.

Message #69 received at 671853-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ole Streicher <debian@liska.ath.cx>, 671853-done@bugs.debian.org
Subject: Re: Bug#671853: Transition: cpl
Date: Tue, 3 Jul 2012 14:14:00 +0200
[Message part 1 (text/plain, inline)]
On Mon, May  7, 2012 at 16:44:29 +0200, Ole Streicher wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Dear Release Team,
> 
> I am filing this bug for the transition of the "cpl" package.
> 
All done, closing the bug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Aug 2012 07:29:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:10:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.